// Thanks to ChiefArug and pietheniceguy 
let bannedItems = [['alexscaves:cave_map', "the Cave Map", "You realize these caves aren't found in The Overworld"]];
bannedItems.forEach((triplet) => {
  PlayerEvents.inventoryChanged(triplet[0], event => {
    event.player.tell([
        "You throw ",
        Text.yellow(triplet[1]),
        " away",
        ".\n",
        Text.red(triplet[2]),
      ]);
    event.player.inventory.removeItem(event.getSlot(), event.item.count);
    event.player.inventory.clear(triplet[0]);
  })
}) 